// packageI/seePoint/seePoint.js
const app = getApp();
Page({

  /**
     * 页面的初始数据
     */
  data: {
    active: 0,
    member: {},
    recordsList: [],
    page: 1,
    current_page: 1,
    last_page: 1
  },

  /**
     * 生命周期函数--监听页面加载
     */
  onLoad: function (options) {
    this.getData();
    wx.setNavigationBarTitle({
      title: '见点奖励',
    });
    let language = wx.getStorageSync("langIndex");
    this.setData({
      language: language.en,
    });
  },

  /**
     * 生命周期函数--监听页面初次渲染完成
     */
  onReady: function () {

  },

  /**
     * 生命周期函数--监听页面显示
     */
  onShow: function () {

  },

  /**
     * 生命周期函数--监听页面隐藏
     */
  onHide: function () {

  },

  /**
     * 生命周期函数--监听页面卸载
     */
  onUnload: function () {

  },

  /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
  onPullDownRefresh: function () {

  },

  /**
     * 页面上拉触底事件的处理函数
     */
  onReachBottom: function () {
    if (this.data.current_page >= this.data.last_page) {
      return;
    } else {
      this.setData({
        page: this.data.page + 1
      });
      this.moreGetData();
    }
  },

  /**
     * 用户点击右上角分享
     */
  onShareAppMessage: function () {

  },
  getData() {
    let urlStr = app.getNetAddresss('plugin.find-point-reward.frontend.controllers.center');
    app._postNetWork({
      url: urlStr,
      data: {
        page: this.data.page
      },
      success: (resdata) => {
        let res = resdata.data;
        if (res.result == 1) {
          this.setData({
            member: res.data.info,
            recordsList: res.data.list.data,
            current_page: res.data.list.current_page,
            last_page: res.data.list.last_page
          });
        } else {
          wx.showToast({
            title: res.msg,
            icon: 'none',
            duration: 1000
          });
        }
      },
      fail: function (res) {}
    });
  },
  moreGetData() {
    let urlStr = app.getNetAddresss('plugin.find-point-reward.frontend.controllers.center');
    app._postNetWork({
      url: urlStr,
      data: {
        page: this.data.page
      },
      success: (resdata) => {
        let res = resdata.data;
        if (res.result == 1) {
          let myData = this.data.recordsList.concat(res.data.list.data);
          this.setData({
            recordsList: myData,
            current_page: res.data.list.current_page,
            last_page: res.data.list.last_page
          });
        } else {
          wx.showToast({
            title: res.msg,
            icon: 'none',
            duration: 1000
          });
        }
      },
      fail: function (res) {}
    });
  }
});